Subject: mk/ change request
To: None <,>
From: Michal Pasternak <>
List: tech-pkg
Date: 12/01/2003 07:35:34

I don't know if it is a good time to tell you about this, but I think, that
this patch:

[-wip list: please apply it before trying any of mingw32-* packages]

diff -u -r1.1307
---  2003/11/27 13:02:38     1.1307
+++  2003/12/01 06:30:11
@@ -371,8 +371,8 @@
 LIBTOOL_REQD?=         1.4.20010614nb11
-LIBTOOL=               ${LOCALBASE}/bin/libtool
-SHLIBTOOL=             ${LOCALBASE}/bin/shlibtool
+LIBTOOL?=              ${LOCALBASE}/bin/libtool
+SHLIBTOOL?=            ${LOCALBASE}/bin/shlibtool
 .if defined(USE_LIBTOOL)
 PKGLIBTOOL=            ${LIBTOOL}
... could be really useful for the project I've just started (packages for
cross-compiling win32 binaries on unices with compiler).

If I can't override libtool, there's no way I can create packages in an easy

Any chances this gets through?

Any methods to get around this?

I appreciate your help, take care,
Michal Pasternak ::